diff --git a/components/modules/ai/who_plumerai_people_detection.cpp b/components/modules/ai/who_plumerai_people_detection.cpp
index 71ceb48..d7cef77 100644
--- a/components/modules/ai/who_plumerai_people_detection.cpp
+++ b/components/modules/ai/who_plumerai_people_detection.cpp
@@ -18,12 +18,14 @@ int clip(float value, int max) { return std::max(0, std::min(static_cast<int>(va

 void draw_detection(BoxPrediction &p, uint16_t * buffer, int width, int height) {
     if (p.confidence < 0.7) { return; }   // confidence threshold, adjust as needed
-    int color = 63488;  // red in RGB565
-    int x_min = clip(p.x_min * width, width - 1);
-    int y_min = clip(p.y_min * height, height - 1);
-    int x_max = clip(p.x_max * width, width - 1);
-    int y_max = clip(p.y_max * height, height - 1);
-    dl::image::draw_hollow_rectangle(buffer, height, width, x_min, y_min, x_max, y_max, color);
+    int color = 63488;  // red in RGB565
+    for (int w = 0; w < 4; ++w) {
+        int x_min = clip(p.x_min * width + w, width - 1);
+        int y_min = clip(p.y_min * height + w, height - 1);
+        int x_max = clip(p.x_max * width + w, width - 1);
+        int y_max = clip(p.y_max * height + w, height - 1);
+        dl::image::draw_hollow_rectangle(buffer, height, width, x_min, y_min, x_max, y_max, color);
+    }
 }
 
 constexpr int lcd_width = 240;
